package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPrdRecordMapper;
import com.ruoyi.project.production.domain.TPrdRecord;
import com.ruoyi.project.production.service.ITPrdRecordService;

/**
 * 生产记录Service业务层处理
 *
 * @author ssy
 * @date 2024-10-08
 */
@Service
public class TPrdRecordServiceImpl implements ITPrdRecordService
{
    @Autowired
    private TPrdRecordMapper tPrdRecordMapper;

    /**
     * 查询生产记录
     *
     * @param id 生产记录ID
     * @return 生产记录
     */
    @Override
    public TPrdRecord selectTPrdRecordById(Long id)
    {
        return tPrdRecordMapper.selectTPrdRecordById(id);
    }

    /**
     * 查询生产记录列表
     *
     * @param tPrdRecord 生产记录
     * @return 生产记录
     */
    @Override
    public List<TPrdRecord> selectTPrdRecordList(TPrdRecord tPrdRecord)
    {
        return tPrdRecordMapper.selectTPrdRecordList(tPrdRecord);
    }

    /**
     * 新增生产记录
     *
     * @param tPrdRecord 生产记录
     * @return 结果
     */
    @Override
    public int insertTPrdRecord(TPrdRecord tPrdRecord)
    {
        return tPrdRecordMapper.insertTPrdRecord(tPrdRecord);
    }

    /**
     * 修改生产记录
     *
     * @param tPrdRecord 生产记录
     * @return 结果
     */
    @Override
    public int updateTPrdRecord(TPrdRecord tPrdRecord)
    {
        return tPrdRecordMapper.updateTPrdRecord(tPrdRecord);
    }

    /**
     * 批量删除生产记录
     *
     * @param ids 需要删除的生产记录ID
     * @return 结果
     */
    @Override
    public int deleteTPrdRecordByIds(Long[] ids)
    {
        return tPrdRecordMapper.deleteTPrdRecordByIds(ids);
    }

    /**
     * 删除生产记录信息
     *
     * @param id 生产记录ID
     * @return 结果
     */
    @Override
    public int deleteTPrdRecordById(Long id)
    {
        return tPrdRecordMapper.deleteTPrdRecordById(id);
    }
}
